Skip to main content
POST
https://{tenantDomain}/api/v2
/
branding
/
phone
/
templates
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Branding.Phone;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Branding.Phone.Templates.CreateAsync(
            new CreatePhoneTemplateRequestContent()
        );
    }

}
{
  "content": {
    "syntax": "<string>",
    "from": "<string>",
    "body": {
      "text": "<string>",
      "voice": "<string>"
    }
  },
  "disabled": false,
  "id": "<string>",
  "channel": "<string>",
  "customizable": true,
  "tenant": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

type
enum<string>
Available options:
otp_verify,
otp_enroll,
change_password,
blocked_account,
password_breach
Maximum string length: 255
disabled
boolean
default:false

Whether the template is enabled (false) or disabled (true).

content
object

Response

The phone notification template was created.

content
object
required
type
enum<string>
required
Available options:
otp_verify,
otp_enroll,
change_password,
blocked_account,
password_breach
Maximum string length: 255
disabled
boolean
default:false
required

Whether the template is enabled (false) or disabled (true).

id
string
Required string length: 1 - 255
channel
string
customizable
boolean
tenant
string
Required string length: 1 - 255